function current = knauerpumpobjreadcurrent(serialObject)
% KNAUERPUMPOBJREADCURRENT returns the present current of Knauer pumps
% current = knauerpumpobjreadcurrent(serialObject) returns the present
% current of Knauer pumps connected to a valid serial object, in scaled
% units going from 0 to 100.

% checks the number of arguments
error(nargchk(1, 1, nargin))

% fetches and formats the flow rate
current = knauerpumpobjcomm(serialObject, 'read', 'IMOTOR?');