function externalControl = knauerpumpobjreadexternalcontrol(serialObject)
% KNAUERPUMPOBJREADEXTERNALCONTROL returns whether external control is allowed or not
% externalControl = knauerpumpobjreadexternalcontrol(serialObject)
% returns whether external control is used (1) or not (0).  If set to 1,
% and nothing is connected to the analog remote interface, then the flow
% will always be 0 since the voltage is 0.

% checks the number of arguments
error(nargchk(1, 1, nargin))

% fetches
externalControl = knauerpumpobjcomm(serialObject, 'read', 'EXTCONTR?');