function currentFlow = knauerpumpobjreadflow(serialObject)
% KNAUERPUMPOBJREADFLOW returns the current flow rate of Knauer pumps
% currentFlow = knauerpumpobjreadflow(serialObject) returns the current
% flow rate of Knauer pumps connected to a valid serial object, in mL min-1
% (note that the pumps actually store it internally in uL min-1).

% checks the number of arguments
error(nargchk(1, 1, nargin))

% fetches and formats the flow rate
currentFlow = knauerpumpobjcomm(serialObject, 'read', 'FLOW?') / 1000;