function pumpHeadSize = knauerpumpobjreadpumpheadsize(serialObject)
% KNAUERPUMPOBJREADPUMPHEADSIZE reads the pump head size of Knauer pumps
% pumpHeadSize = knauerpumpobjreadpumpheadsize(serialObject) returns the
% pump head size of Knauer pumps, where serialObject is a valid
% serial object generated by knauerpumpobj.  Response is in mL.

% checks the number of arguments
error(nargchk(1, 1, nargin))

% fetches
pumpHeadSize = knauerpumpobjcomm(serialObject, 'read', 'HEADTYPE?');