function startMode = knauerpumpobjreadstartmode(serialObject)
% KNAUERPUMPOBJREADSTARTMODE returns if the pump restarts on power on or
% startMode = knauerpumpobjreadstartmode(serialObject) returns the start-up
% behaviour of Knauer pumps, where 0 means it will do nothing, and 1 means
% that if it was pumping before loss of power, it will resume pumping
% automatically.

% checks the number of arguments
error(nargchk(1, 1, nargin))

% fetches
startMode = knauerpumpobjcomm(serialObject, 'read', 'STARTMODE?');