function status = knauerpumpobjstatus(serialObject)
% KNAUERPUMPOBJSTATUS returns the current status of Knauer pumps
% status = knauerpumpobjstatus(serialObject) returns the status of
% Knauer pumps connected to a valid serial object.

% checks the number of arguments
error(nargchk(1, 1, nargin))

% fetch all the status information
statusInformation = knauerpumpobjcomm(serialObject, 'read', 'STATUS?');

% the status is the first item
status = statusInformation(1);